GET /api/v3/accounts/{lcuid}/applications¶
Summary¶
GET accounts/{id}/applications
Description¶
Return a list of applications that are attached to an account
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
account.updateagency.updateDeleteAllAgencyAccounts
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)applications(array)-
Array items:
objectType:objectProperties:
name(string)description(string)permissions(object) Type:object
Properties:
-
allowed(array)- Array items:
string
- Array items:
-
status(integer) application_class(string)application_class_description(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
permissions_version(integer) -
lcuid(string) slug(string)created_at(string)organization_name(string)website(string)help_url(string)video_url(string)premium(integer)premium_fees_description(string)updated_at(string)
Example Response¶
{
"success": true,
"applications": [
{
"name": "Unit Test Application - lkLQDtMmoe",
"description": "Here is a new unit test application description",
"permissions": {
"allowed": [
"account.update"
]
},
"status": 0,
"application_class": "App\\LuCore\\Applications\\GenericApplicationClass",
"application_class_description": "Generic placeholder class - Do not use",
"options": {
"primary_image_public_url": null,
"permissions_version": 1
},
"lcuid": "LCUID-LAP-5c43c6e0-e03d-45ff-92b1-1bd05122dcb3",
"slug": "UnitTestApplicationLklqdtmmoe",
"created_at": "2026-02-03T18:11:42.000000Z",
"organization_name": null,
"website": null,
"help_url": null,
"video_url": null,
"premium": 0,
"premium_fees_description": null,
"updated_at": "2026-02-03T18:11:42.000000Z"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/applications" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/applications"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/applications',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/applications'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()